Subject: bug#27344: closed (Re: [bug#27344] [PATCH v4 3/3] gnu: Add qucs-s.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Nov 2017 09:55:02 +0000

Your bug report

#27344: [PATCH 0/12] Add computational software and circuit simulators

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27344: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27344
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#27344] [PATCH v4 3/3] gnu: Add qucs-s.
From: [email-masked] (Ludovic Courtès)
To: Theodoros Foradis <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Nov 2017 10:54:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Theodoros,

Theodoros Foradis <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> Theodoros Foradis <[email-masked]> skribis:
>>
>>> * gnu/packages/engineering.scm (qucs-s): New variable.
>>
>> There seems to be a lot of duplication with ‘qucs’.  Would it be
>> possible to inherit from qucs, thereby reusing its phases, and simply
>> provide any extra phase that’s needed?
>
> Some paths are different in those two packages. For example:
> Qucs:
>> (substitute* '("qucs/qucs/qucsdigi"
>>                "qucs/qucs/qucsdigilib"
>>                "qucs/qucs/qucsveri")
>
>> (wrap-program (string-append out "/bin/qucs")
>
> Qucs-s:
>> (substitute* '("qucs/qucsdigi"
>>                "qucs/qucsdigilib"
>>                "qucs/qucsveri")
>
>> (let* ((out (assoc-ref outputs "out"))
>>        (file (string-append out "/bin/qucs-s"))
>>        (qucs (assoc-ref inputs "qucs"))
>>        (qucsator (string-append qucs "/bin/qucsator")))
>>   (wrap-program file
>
> So qucs-s cannot inherit qucs, and this is why I dismissed that when I
> looked at it in the past.
>
> I think we could create a procedure, that takes the variables as
> arguments and returns a qucs package. So that qucs-s inherits the
> application of that procedure on different arguments.
>
> Is this preferable to having two different packages with some identical
> phases?

Well you’re right, there’s no great solution in this case.

Finally pushed as commit ef2c6b409568123e760a7dfa22d45fc09e713198.
We’re done!  :-)

Thank you!

Ludo’.

Subject: [PATCH 0/12] Add computational software and circuit simulators
From: Theodoros Foradis <[email-masked]>
To: [email-masked]
Cc: Theodoros Foradis <[email-masked]>
Date: Mon, 12 Jun 2017 15:33:25 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This patch series adds:
* Computational software from
<http://ab-initio.mit.edu/wiki/index.php/Main_Page>
* Qucs and its dependencies for digital circuit simulation/optimisation
* Ngspice and Xyce(serial/parallel) circuit simulators
* Qucs-s, which is a GUI that utilises those 3 simulators.

Ngspice, normally includes a non-free component (cider), which I delete
with a snippet from source, and build without. I have clearly noted the
licenses of the rest of the source code, but I would like someone to
verify I am not missing anything.

Theodoros Foradis (12):
 gnu: Add qucs-s.
 gnu: Add qucs.
 gnu: Add xyce-parallel.
 gnu: Add xyce-serial.
 gnu: Add ngspice.
 gnu: Add asco.
 gnu: Add freehdl.
 gnu: Add adms.
 gnu: Add meep.
 gnu: Add mpb.
 gnu: Add libctl.
 gnu: Add harminv.
 gnu/packages/engineering.scm | 677 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 676 insertions(+), 1 deletion(-)

-- 
Theodoros Foradis